Summary:	Class for creating esientific and business charts
Summary(pl.UTF-8):	Klasa do tworzenia naukowych i biznesowych wykresów
Name:		php-jpgraph1
Version:	1.26
Release:	2
License:	QPL 1.0
Group:		Libraries
Source0:	http://hem.bredband.net/jpgraph/jpgraph-%{version}.tar.gz
# Source0-md5:	13bd871fb1a405ae1bbf9c02ae5a35ac
Patch0:		jpgraph-config.patch
URL:		http://www.aditus.nu/jpgraph/
BuildRequires:	rpmbuild(macros) >= 1.461
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	%{_datadir}/fonts/TTF
Requires:	php(core) >= 4.3.8
Requires:	php(gd)
Provides:	jpgraph = %{version}-%{release}
Obsoletes:	jpgraph < 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/jpgraph1

%description
JpGraph is a fully OO graph library which makes it easy to both draw a
"quick and dirty" graph with a minimum of code and quite complex
graphs which requires a very fine grain of control. The library tries
to assign sensible default values for most parameters hence making the
learning curve quite flat since for most of the time very few commands
is required to draw graphs with a pleasing aesthetic look.

%description -l pl.UTF-8
JpGraph to w pełni obiektowo zorientowana biblioteka ułatwiająca
tworzenie zarówno prostych (,,na szybko'') jak i skomplikowanych,
wymagających precyzji grafik. Biblioteka próbuje przypisać sensowne
wartości domyślne dla większości parametrów, aby uczynić krzywą nauki
w miarę płaską, jako że w większości przypadków wystarcza użycie kilku
poleceń do rysowania estetycznie wyglądających grafik.

%prep
%setup  -q -n jpgraph-%{version}
%patch0 -p1

mv src/*.txt .
mv src/Examples .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}
cp -a src/* $RPM_BUILD_ROOT%{_appdir}
cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* docs/* CHANGELOG*.txt
%{_appdir}
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 29b484b
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Wed Dec 23 2009 Elan Ruusamäe <glen@pld-linux.org> b39c2b9
- renamed php-jpgraph1
- version info is not actually true, worked with php5 too

* Tue Dec 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ff5507a
- rename to jpgraph1.spec

* Thu Sep 04 2008 Elan Ruusamäe <glen@pld-linux.org> f2c11fa
- package changelog; rel 3

* Thu Sep 04 2008 Elan Ruusamäe <glen@pld-linux.org> f2468a7
- separate examples

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 10fe8f4
- up to 1.26

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c50f7a1
- updated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f74a787
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2dda2ed
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> c57cb06
- virtual deps; rel 2

* Mon Jan 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 93197d3
- updated pl desc

* Mon Jan 23 2006 Elan Ruusamäe <glen@pld-linux.org> f967d68
- add information about php versions

* Mon Jan 23 2006 Elan Ruusamäe <glen@pld-linux.org> b4b8708
- 1.20.2

* Thu Sep 22 2005 Elan Ruusamäe <glen@pld-linux.org> b3b7292
- fix php epoch

* Thu Sep 22 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 7aecfd2
- up to 1.19

* Mon Jan 17 2005 dzeus <dzeus@pld-linux.org> ce2a8bd
- updated

* Mon Jan 17 2005 dzeus <dzeus@pld-linux.org> 4fd0e01
- up to 1.17

* Sun Mar 07 2004 adgor <adgor@pld-linux.org> 9e2d349
- Removed one messing slash

* Sat Jan 10 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 18768df
- updated to 1.14

* Sat Jan 10 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 53259d9
- updated

